### Enumeration

# GLib SpawnFlags

#### Declaration

    flags GLib.SpawnFlags

#### Description [src]

Flags passed to g_spawn_sync(), `g_spawn_async()` and g_spawn_async_with_pipes().

#### Members

`G_SPAWN_DEFAULT`

  No flags, default behaviour.

  - Value: `0`
  - Available since: 2.0
`G_SPAWN_LEAVE_DESCRIPTORS_OPEN`

  The parent’s open file descriptors will be inherited by the child; otherwise all descriptors except stdin, stdout and stderr will be closed before calling `exec()` in the child.

  - Value: `1`
  - Available since: 2.0
`G_SPAWN_DO_NOT_REAP_CHILD`

  The child will not be automatically reaped; you must use `g_child_watch_add()` yourself (or call `waitpid()` or handle `SIGCHLD` yourself), or the child will become a zombie.

  - Value: `2`
  - Available since: 2.0
`G_SPAWN_SEARCH_PATH`

  `argv[0]` need not be an absolute path, it will be looked for in the user’s `PATH`.

  - Value: `4`
  - Available since: 2.0
`G_SPAWN_STDOUT_TO_DEV_NULL`

  The child’s standard output will be discarded, instead of going to the same location as the parent’s standard output.

  - Value: `8`
  - Available since: 2.0
`G_SPAWN_STDERR_TO_DEV_NULL`

  The child’s standard error will be discarded.

  - Value: `16`
  - Available since: 2.0
`G_SPAWN_CHILD_INHERITS_STDIN`

  The child will inherit the parent’s standard input (by default, the child’s standard input is attached to `/dev/null`).

  - Value: `32`
  - Available since: 2.0
`G_SPAWN_FILE_AND_ARGV_ZERO`

  The first element of `argv` is the file to execute, while the remaining elements are the actual argument vector to pass to the file. Normally `g_spawn_async_with_pipes()` uses `argv[0]` as the file to execute, and passes all of `argv` to the child.

  - Value: `64`
  - Available since: 2.0
`G_SPAWN_SEARCH_PATH_FROM_ENVP`

  If `argv[0]` is not an absolute path, it will be looked for in the `PATH` from the passed child environment. Since: 2.34.

  - Value: `128`
  - Available since: 2.0
`G_SPAWN_CLOEXEC_PIPES`

  Create all pipes with the `O_CLOEXEC` flag set. Since: 2.40.

  - Value: `256`
  - Available since: 2.0
`G_SPAWN_CHILD_INHERITS_STDOUT`

  The child will inherit the parent’s standard output.

  - Value: `512`
  - Available since: 2.74
`G_SPAWN_CHILD_INHERITS_STDERR`

  The child will inherit the parent’s standard error.

  - Value: `1024`
  - Available since: 2.74
`G_SPAWN_STDIN_FROM_DEV_NULL`

  The child’s standard input is attached to `/dev/null`.

  - Value: `2048`
  - Available since: 2.74